<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_POST['orden'] && $_POST['empresa']) {
	
	$peticion='SGAPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEORDENPREP#'.$_SESSION['almacen'].';'.$_POST['empresa'].';'.$_POST['orden'];
	//$peticion='SGAPreparar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEORDENPREPAGRUP#'.$_SESSION['almacen'].';'.$_POST['empresa'].';'.$_POST['orden'];
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$orden=$resultado[0];
	
	if(!$orden['Error']) {
	?>
    <h2>Detalle de la Orden de Preparación Nº <?php echo $_POST['orden']; ?></h2>
    <?php
	if($orden['Estado']=='Iniciada') {
		?><p>Esta orden de preparación está en curso.</p><?php
    }
	
	
	$productos=arreglaArrayPXMobileProxiumResult($orden['Productos']);
	$productosNoDisponibles=arreglaArrayPXMobileProxiumResult($orden['ProductosPendientes']);
	
	
	function listaProductos($productos) {
		?>
	
		<table class="tablaFormateada anchoMaximo">
			<tr>
				<?php if(count($_SESSION['empresas'])>1) { ?><th>Emp.</th><?php } ?>
				<th>Código</th>
				<th>Descripción</th>
				<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
				<?php if($comportamiento['Activo']) { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
				<?php } ?>
                <?php if($_SESSION['parametrosSGA']['ReferenciaCliEntrada']=='S') { ?>
                <th>Ref. cliente</th>
                <?php } ?>
				<th>Cant.</th>
				<?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
				<th>Preparado</th>
			</tr>
			 <?php
			 foreach($productos as $producto) {
				 
				 $datos=arreglaArrayPXMobileProxiumResult($producto['Datos']);

				$cadenaNumerosSerie='';
				$numerosSerie=arreglaArrayPXMobileProxiumResult($producto['NumerosSerieDisponibles']);
				foreach($numerosSerie as $numero) {
					if($numero['Leido']) {
						if(!empty($cadenaNumerosSerie)) $cadenaNumerosSerie.=';';
						$cadenaNumerosSerie.=$numero['NumeroSerie'].','.$numero['Leido'];
					}
				}
				
				//print_r($producto);
				 ?>
				 <tr class="<?php if($producto['Preparado']<$producto['Cantidad']) { ?>rojo<?php } ?>">
					<?php if(count($_SESSION['empresas'])>1) { ?><td valign="top"><?php echo $producto['Empresa']; ?></td>
			      <?php } ?>
					<td valign="top"><?php echo $producto['Codigo']; ?></td>
				   <td align="left" valign="top"><?php echo $producto['Descripcion']; ?></td>
		      		<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
						<?php if($comportamiento['Activo']=='S') { ?>
							<td valign="top">
								<?php
								if($producto['ControlNumSerie']=='S' && $comportamiento['Codigo']=='NS') {
									?><img class="verNumerosSerie clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaNumerosSerie; ?>"/><?php
								}
								else {
									foreach($datos as $dato) {
										if($dato['Codigo']==$comportamiento['Codigo']) {
											echo formateaTipo($dato['Valor'],$comportamiento['Tipo']);
											break;
										}
									}
								}
								?>                            </td>
			      <?php } ?>
					<?php } ?>
                    <?php if($_SESSION['parametrosSGA']['ReferenciaCliEntrada']=='S') { ?>
                    <td align="center"><?php echo $producto['RefCliente']; ?></td>
                    <?php } ?>
					<td align="right" valign="top"><?php echo number_format($producto['Cantidad'],0,',','.'); ?></td>
			      <?php if($_SESSION['verEnCajas']=='S') { ?><td align="right" valign="top"><?php echo number_format($producto['Cajas'],2,',','.'); ?></td>
		         <?php } ?>
					<td align="right" valign="top"><?php echo number_format($producto['Preparado'],0,',','.'); ?></td>
	  		</tr>
				<?php
			}
			?>
		</table>
    
    <?php } //Fin function
	
	if(count($productos)>0) {
		listaProductos($productos);
	}
	
	if(count($productosNoDisponibles)>0) {
		?><p>Productos no disponibles:</p><?php
		listaProductos($productosNoDisponibles);
	}
	?>
    
    <div id="popupNumerosSerie" class="popup" style="display:none"></div>
    <div id="popupNumerosSerieContenido" class="popupContenidoScroll" style="display:none"></div>
        
    <p><input type="submit" name="botonCerrar" id="botonCerrar" value="Cerrar" class="boton reducido"/></p>
    
    <script>
	
		$(document).ready(function() {
		
			$('.verNumerosSerie').on('click',function(){
				$.post('<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-numeros-serie.php' , { 'numeros' : $(this).attr('numeros') })
				.done(function(data) {
					$('#popupNumerosSerieContenido').html(data);
					$('#popupNumerosSerie').show();
					$('#popupNumerosSerieContenido').show();
					
					var posicion=$(document).scrollTop();
					$('#popupNumerosSerieContenido').offset({ top: posicion+20 });
				});
			});
		
			$('#botonCerrar').on("click",function(){
				$("#popupDetalle").hide();
				$("#popupDetalleContenido").hide();
			});
			
		});
		
	</script>
    
	<?php
	}
	else {
		?><p class="error">Error. No se ha encontrado esta Orden de Preparación.</p><?php
	}
}
?>